	import * as THREE from 'three';

	// cavity for linac
	export function cavitylinac(length=2900) {
		const cavitylinacMaster = new THREE.Object3D();
		const dmaterial = new THREE.MeshLambertMaterial({color: 0xf0f0f0});
		const d1geometry = new THREE.CylinderGeometry(400, 400, length, 25);
		const d1mesh = new THREE.Mesh(d1geometry, dmaterial);
		cavitylinacMaster.add(d1mesh);				
		cavitylinacMaster.rotateX(Math.PI * 0.5);
		cavitylinacMaster.rotatedX = true;
		return cavitylinacMaster;
	}
